EDIT - feature request #3994

Select widget to choose the filter areas for the advanced search

01/24/2014 02:15 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority 11 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: cdm_dataportal RELEASE 3.5.1

Severity: critical

Description

Currently only the NamedAreas in use are shown in a simple checkboxlist. This needs to be improved.

Requirements

e Distribution elements can have NamedAreas of multiple Vocabularies, whereas the Vocabularies can be hierarchical

o => only include areas which are being used by Description elements

¢ Display the area terms in the context of the hierarchy (for TDWG2 level also add level 3 and 4)

¢ Allow choosing upper level areas

¢ Allow filtering hierarchy by entered text (autosuggest)

Should we also provide a map which can be used to to the selection and which shows the selected areas

potentially useful lib plugins, etc:

® jquery.treeselect.js

e TreelistFilter plugin

¢ jquery-option-tree

autocomplete fields:

e Textfield that uses autocomplete

e jQueryUl Autocomplete

see also #5890

Related issues:

Related to EDIT - feature request #5890: Implement auto-suggest for data portal

Related to EDIT - feature request #5071: distribution filter widget - remove ...

New
New

History

#1 - 08/21/2014 11:02 AM - Andreas Kohlbecker

- Keywords set to search

#2 - 11/20/2014 05:20 PM - Andreas Kohlbecker

- Target version changed from cdm_dataportal RELEASE 3.4.0 to FaunaEuropaea 2014

#3 - 11/20/2014 05:20 PM - Andreas Kohlbecker
http://travistidwell.com/jquery.treeselect.js/
http://wiki.aiwsolutions.net/2014/03/12/tree-list-filter-plugin/
http://kotowicz.net/jquery-option-tree
https://www.drupal.org/node/854216
http://jqueryui.com/autocomplete/
https://dev.e-taxonomy.eu/redmine/issues/5890

- Priority changed from Priority14 to Priority13

#4 - 03/17/2015 04:54 PM - Andreas Kohlbecker

- Keywords changed from search to search,FaunaEuropaea

#5 - 03/24/2015 04:11 PM - Andreas Kohlbecker
- Priority changed from Priority13 to Highest

#6 - 03/27/2015 06:50 PM - Andreas Kohlbecker

- Status changed from New to In Progress

implementing better namedAreasinUse service r23253

#7 - 04/14/2015 01:25 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Florian Wetzel

- Target version changed from FaunaEuropaea 2014 to cdm_dataportal RELEASE 3.5.1

fully implemented: git: b767fc4..44756fc svn: [23361:23363]

#8 - 07/07/2015 01:09 PM - Andreas Kohlbecker

Problems with the widget have been reported for the Internet Explorer

"Anmerkung zum Portal im Internet Explorer: das Durchklicken durch die TDWG-Hierarchie ist flir normale Nutzer nicht zumutbar. Eine
Vorschlagsliste der vorhandenen Eintrage z.B. GERMANY wére nutzbarer...

In FireFox funktioniert die Auswahl der TDWG-Eintrége gut, aber auch da funktioniert die Suche nicht.

Viele GruB

Henning

please review if this problem can be reproduced. Create a new bug report ticket if the problem persists.

#9 - 07/07/2015 02:02 PM - Norbert Kilian

Firefox: | tested the checklist function (taxon = *) as well assearch with genus name for several TDWG units with the Cichorieae Portal and it worked
fine. But: (1) | see a problem for users with the two lists of WaterbodyOrCountry and TDWGArea: it is frustrating if you check a WaterbodyOrCountry
unit while entries in the Portal are only for TDWG, and your search thus remains without results. (2) | would prefer previous choises of area units be
removed when you start a new search, Now you must actively remove them (enter the name again to get the unit displayed anduncheck the unit).

IE: Yes, it seems that an entry in the area filter has no effect for the display of the area list. But the search worked fine in the cases | tested with the
Cichorieae Portal-

#10 - 07/07/2015 03:31 PM - Andreas Kohlbecker
Replying to n.kilian:

(1) | see a problem for users with the two lists of WaterbodyOrCountry and TDWGArea: it is frustrating if you check a WaterbodyOrCountry unit
while entries in the Portal are only for TDWG, and your search thus remains without results.

The widget always only offers areas which are actually used for Distributions. So this is must a problem in the data as long as the
description/namedAreasinUse web service is working as expected. The offending Distribution belongs to the taxon Cichorium intybus L. subsp.
intybus sec. "Edit WP6 - Cichorieae", . 2006 with the uuid @cb5ef875-c731-4800-bca5-74f379419291@. Could you clean this up?

(2) I would prefer previous choises of area units be removed when you start a new search, Now you must actively remove them (enter the name
again to get the unit displayed and uncheck the unit).

Agreed! | created a subticket (#5071) in which | suggested a possible solution

IE: Yes, it seems that an entry in the area filter has no effect for the display of the area list. But the search worked fine in the cases | tested with
the Cichorieae Portal-
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment15
https://dev.e-taxonomy.eu/redmine/issues/5071

Could you give a specific example?
#11 - 07/08/2015 08:49 AM - Norbert Kilian
Replying to a.kohlbecker:

Replying to n.kilian:

(1) I see a problem for users with the two lists of WaterbodyOrCountry and TDWGArea: it is frustrating if you check a WaterbodyOrCountry
unit while entries in the Portal are only for TDWG, and your search thus remains without results.

The widget always only offers areas which are actually used for Distributions. So this is must a problem in the data as long as the
description/namedAreasinUse web service is working as expected. The offending Distribution belongs to the taxon Cichorium intybus L. subsp.
intybus sec. "Edit WP6 - Cichorieae", . 2006 with the uuid @cb5ef875-c731-4800-bca5-74f379419291@. Could you clean this up?

| have cleaned the entry and as you expected WaterbodyOrCountry is not available anymore for selection. Great.
(2) I would prefer previous choises of area units be removed when you start a new search, Now you must actively remove them (enter the
name again to get the unit displayed and uncheck the unit).
Agreed! | created a subticket (#5071) in which | suggested a possible solution
IE: Yes, it seems that an entry in the area filter has no effect for the display of the area list. But the search worked fine in the cases | tested
with the Cichorieae Portal-

Could you give a specific example?

IE: No matter what | enter in the filter field, e.g. Brazil, the preselection vanishes and nothing happens. If | check the box for an item after having
scrolled for it, it is selected, e.g. Hawaii, and if | then enter "Haw" the filter narrows the selection to the preselected Hawaii.

#12 - 07/08/2015 04:17 PM - Andreas Miiller

ist womdglich noch/schon auf Eurer Agenda (da wir die Diskussion bereits vor ein paar Wochen hatten), aber fir Zypern funktioniert die
Area-Auswahl auch noch nicht. Habe gerade mit Norbert als Zeuge getestet (Firefox). Beispiel: Marsilea*, die nur in Division 4 vorkommt.

Schoénen Gruf3

Ralf

#13 - 07/09/2015 11:17 AM - Andreas Kohlbecker
Replying to a.mueller:

ist womdglich noch/schon auf Eurer Agenda (da wir die Diskussion bereits vor ein paar Wochen hatten), aber fir Zypern funktioniert die
Area-Auswahl auch noch nicht. Habe gerade mit Norbert als Zeuge getestet (Firefox). Beispiel: Marsilea*, die nur in Division 4 vorkommt.

Schoénen Grui3

Ralf

Die Auswahl funktioniert wohl, es gibt aber bei der Suche ein Problem das schon bekannt und hinreichend beschrieben ist:

#5069 , #4595

#14 - 02/25/2016 03:03 PM - Andreas Miiller

- Assignee changed from Florian Wetzel to Andreas Kohlbecker

As subticket is still open this ticket can not be closed yet.

We should either remove the child ticket as child or consider fixing it in the near future.

#15 - 09/14/2016 05:16 PM - Andreas Miiller
- Related to feature request #5890: Implement auto-suggest for data portal added

#16 - 12/01/2016 02:25 PM - Andreas Kohlbecker

- Related to feature request #5071: distribution filter widget - remove button to unselect areas added
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment16
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment15
https://dev.e-taxonomy.eu/redmine/issues/5071
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment18

#17 - 12/01/2016 02:26 PM - Andreas Kohlbecker
- Description updated

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

#18 - 12/01/2016 02:26 PM - Andreas Kohlbecker

- Private changed from Yes to No
